企业专利信息查询
请求Header:
| 名称 | 值 | |
|---|---|---|
| Content-Type | application/x-www-form-urlencoded |
请求参数说明:
| 名称 | 必填 | 类型 | 说明 | |
|---|---|---|---|---|
| key | 是 | string | 在个人中心->我的数据,接口名称上方查看 | |
| keyword | 是 | String | 关键词(专利名称,申请号,申请公布号,申请(专利权)人,发明人,代理机构,代理人) | |
| searchType | 否 | String | 查询类别(多个用英文逗号分隔)1-专利名称 2-申请号 3-申请公布号 4-申请(专利权)人 5-发明人 6-代理机构 7-代理人 | |
| pubDateBegin | 否 | String | 发布开始时间 | |
| appDateBegin | 否 | String | 申请开始时间 | |
| pageSize | 否 | Number | 每页条数(默认20条,最大20条) | |
| pubDateEnd | 否 | String | 发布结束时间 | |
| appDateEnd | 否 | String | 申请结束时间 | |
| pageNum | 否 | Number | 当前页数(默认第1页) | |
| patentType | 否 | String | 专利类型 1-发明专利 2-实用新型 3-外观专利 | |
| statusCode | 否 | String | 专业状态 1-有效 2-审中 3-失效 4-无效 |
请求代码示例:
curl -k -i "https://v.juhe.cn/opens/App/patentsSearch/query?key=key&keyword=xxx&searchType=&pubDateBegin=&appDateBegin=&pageSize=&pubDateEnd=&appDateEnd=&pageNum=1&patentType=&statusCode="
<?php
/**
* 1637-企业专利信息查询 - 代码参考(根据实际业务情况修改)
*/
// 基本参数配置
$apiUrl = "https://v.juhe.cn/opens/App/patentsSearch/query"; // 接口请求URL
$method = "GET"; // 接口请求方式
$headers = ["Content-Type: application/x-www-form-urlencoded"]; // 接口请求header
$apiKey = "您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
$requestParams = [
'key' => $apiKey,
'keyword'=> 'xxx',
'searchType'=> '',
'pubDateBegin'=> '',
'appDateBegin'=> '',
'pageSize'=> '',
'pubDateEnd'=> '',
'appDateEnd'=> '',
'pageNum'=> '1',
'patentType'=> '',
'statusCode'=> '',
];
$requestParamsStr = http_build_query($requestParams);
// 发起接口网络请求
$curl = curl_init();
curl_setopt($curl, CURLOPT_CUSTOMREQUEST, $method);
curl_setopt($curl, CURLOPT_URL, $apiUrl . '?' . $requestParamsStr);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_FAILONERROR, false);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
if (1 == strpos("$" . $apiUrl, "https://")) {
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
}
$response = curl_exec($curl);
$httpInfo = curl_getinfo($curl);
curl_close($curl);
// 解析响应结果
$responseResult = json_decode($response, true);
if ($responseResult) {
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
var_dump($responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
// var_dump($httpInfo);
var_dump("请求异常");
}
import requests
# 1637-企业专利信息查询 - 代码参考(根据实际业务情况修改)
# 基本参数配置
apiUrl = 'https://v.juhe.cn/opens/App/patentsSearch/query' # 接口请求URL
apiKey = '您申请的调用APIkey' # 在个人中心->我的数据,接口名称上方查看
# 接口请求入参配置
requestParams = {
'key': apiKey,
'keyword': 'xxx',
'searchType': '',
'pubDateBegin': '',
'appDateBegin': '',
'pageSize': '',
'pubDateEnd': '',
'appDateEnd': '',
'pageNum': '1',
'patentType': '',
'statusCode': '',
}
# 发起接口网络请求
response = requests.get(apiUrl, params=requestParams)
# 解析响应结果
if response.status_code == 200:
responseResult = response.json()
# 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
print(responseResult)
else:
# 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
print('请求异常')
package main
import (
"encoding/json"
"fmt"
"net/http"
"net/url"
)
func main() {
// 基本参数配置
apiUrl := "https://v.juhe.cn/opens/App/patentsSearch/query"
apiKey := "您申请的调用APIkey"
// 接口请求入参配置
requestParams := url.Values{}
requestParams.Set("key", apiKey)
requestParams.Set("keyword", "xxx")
requestParams.Set("searchType", "")
requestParams.Set("pubDateBegin", "")
requestParams.Set("appDateBegin", "")
requestParams.Set("pageSize", "")
requestParams.Set("pubDateEnd", "")
requestParams.Set("appDateEnd", "")
requestParams.Set("pageNum", "1")
requestParams.Set("patentType", "")
requestParams.Set("statusCode", "")
// 发起接口网络请求
resp, err := http.Get(apiUrl + "?" + requestParams.Encode())
if err != nil {
fmt.Println("网络请求异常:", err)
return
}
defer resp.Body.Close()
var responseResult map[string]interface{}
err = json.NewDecoder(resp.Body).Decode(&responseResult)
if err != nil {
fmt.Println("解析响应结果异常:", err)
return
}
fmt.Println(responseResult)
}
using System;
using System.Net;
using Newtonsoft.Json;
using System.Collections.Generic;
using System.Linq;
namespace Common_API_Test.Test_Demo
{
class Csharp_get
{
static void Main(string[] args)
{
string url = "https://v.juhe.cn/opens/App/patentsSearch/query";
string apiKey = "您申请的调用APIkey";
Dictionary<string, string> data = new Dictionary<string, string>();
data.Add("key", apiKey);
data.Add( "keyword", "xxx");
data.Add( "searchType", "");
data.Add( "pubDateBegin", "");
data.Add( "appDateBegin", "");
data.Add( "pageSize", "");
data.Add( "pubDateEnd", "");
data.Add( "appDateEnd", "");
data.Add( "pageNum", "1");
data.Add( "patentType", "");
data.Add( "statusCode", "");
using (WebClient client = new WebClient())
{
string fullUrl = url + "?" + string.Join("&", data.Select(x => x.Key + "=" + x.Value));
try
{
string responseContent = client.DownloadString(fullUrl);
dynamic responseData = JsonConvert.DeserializeObject(responseContent);
if (responseData != null)
{
Console.WriteLine("Return Code: " + responseData["error_code"]);
Console.WriteLine("Return Message: " + responseData["reason"]);
}
else
{
Console.WriteLine("json解析异常!");
}
}
catch (Exception)
{
Console.WriteLine("请检查其它错误");
}
}
}
}
}
const axios = require('axios'); // npm install axios
// 基本参数配置
const apiUrl = 'https://v.juhe.cn/opens/App/patentsSearch/query'; // 接口请求URL
const apiKey = '您申请的调用APIkey'; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
const requestParams = {
key: apiKey,
keyword: 'xxx',
searchType: '',
pubDateBegin: '',
appDateBegin: '',
pageSize: '',
pubDateEnd: '',
appDateEnd: '',
pageNum: '1',
patentType: '',
statusCode: '',
};
// 发起接口网络请求
axios.get(apiUrl, {params: requestParams})
.then(response => {
// 解析响应结果
if (response.status === 200) {
const responseResult = response.data;
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
console.log(responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
console.log('请求异常');
}
})
.catch(error => {
// 网络请求失败,可以根据实际情况进行处理
console.log('网络请求失败:', error);
});
package cn.juhe.test;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;
import java.util.HashMap;
import java.util.Map;
import java.util.stream.Collectors;
public class JavaGet {
public static void main(String[] args) throws Exception {
String apiKey = "你申请的key";
String apiUrl = "https://v.juhe.cn/opens/App/patentsSearch/query";
HashMap<String, String> map = new HashMap<>();
map.put("key", apiKey);
map.put("keyword", "xxx");
map.put("searchType", "");
map.put("pubDateBegin", "");
map.put("appDateBegin", "");
map.put("pageSize", "");
map.put("pubDateEnd", "");
map.put("appDateEnd", "");
map.put("pageNum", "1");
map.put("patentType", "");
map.put("statusCode", "");
URL url = new URL(String.format("%s?%s", apiUrl, params(map)));
BufferedReader in = new BufferedReader(new InputStreamReader((url.openConnection()).getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response);
}
public static String params(Map<String, String> map) {
return map.entrySet().stream()
.map(entry -> {
try {
return entry.getKey() + "=" + URLEncoder.encode(entry.getValue(), StandardCharsets.UTF_8.toString());
} catch (Exception e) {
e.printStackTrace();
return entry.getKey() + "=" + entry.getValue();
}
})
.collect(Collectors.joining("&"));
}
}
// 基本参数配置
NSString *apiUrl = @"https://v.juhe.cn/opens/App/patentsSearch/query"; // 接口请求URL
NSString *apiKey = @"您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
NSDictionary *requestParams = @{
@"key": apiKey,
@"keyword": @"xxx",
@"searchType": @"",
@"pubDateBegin": @"",
@"appDateBegin": @"",
@"pageSize": @"",
@"pubDateEnd": @"",
@"appDateEnd": @"",
@"pageNum": @"1",
@"patentType": @"",
@"statusCode": @"",
};
// 发起接口网络请求
NSURLComponents *components = [NSURLComponents componentsWithString:apiUrl];
NSMutableArray *queryItems = [NSMutableArray array];
[requestParams enumerateKeysAndObjectsUsingBlock:^(NSString *key, NSString *value, BOOL *stop) {
[queryItems addObject:[NSURLQueryItem queryItemWithName:key value:value]];
}];
components.queryItems = queryItems;
NSURL *url = components.URL;
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
// 网络请求异常处理
NSLog(@"请求异常");
} else {
NSError *jsonError;
NSDictionary *responseResult = [NSJSONSerialization JSONObjectWithData:data options:0 error:&jsonError];
if (!jsonError) {
// 网络请求成功处理
// NSLog(@"%@", [responseResult objectForKey:@"error_code"]);
NSLog(@"%@", responseResult);
} else {
// 解析结果异常处理
NSLog(@"解析结果异常");
}
}
}];
[task resume];
返回参数说明:
| 名称 | 类型 | 说明 | |
|---|---|---|---|
| result | Object | ||
| total | Number | ||
| items | Array | ||
| _child | Object | ||
| agent | String | 代理人 | |
| title | String | 名称 | |
| patentNum | String | 申请号/专利号 | |
| uuid | String | uuid | |
| companies | Array | ||
| _child | Object | ||
| cname | String | 公司名称 | |
| cgid | Number | 公司id | |
| pubnumber | String | 申请公布号 | |
| applicationTime | String | 日期 | |
| cat | String | 分类 | |
| applicantname | String | 申请人 | |
| inventor | String | 发明人 | |
| id | String | 对应表id | |
| lawStatus | Array | ||
| _child | Object | ||
| date | String | 日期 | |
| status | String | 法律状态 | |
| detail | String | 法律状态信息 | |
| grantNumber | String | 授权公告号 | |
| grantDate | String | 日期 | |
| priorityInfo | Array | ||
| _child | Object | ||
| priorityNumber | String | 优先权号 | |
| priorityDate | String | 日期 | |
| postCode | String | 邮编 | |
| patentStatus | String | 专利状态 | |
| address | String | 地址 | |
| agency | String | 代理机构 | |
| abstracts | String | 摘要 | |
| applicantName | String | 申请人 | |
| pubDate | String | 公开公告日 | |
| applicationPublishTime | String | 申请公布日 | |
| appnumber | String | 申请号 | |
| patentType | String | 专利类型 | |
| imgUrl | String | 图片url | |
| mainCatNum | String | 主分类号 | |
| createTime | String | 创建时间 | |
| patentName | String | 专利名称 | |
| applicationPublishNum | String | 申请公布号(废弃) | |
| allCatNum | String | 全部分类号 |
JSON返回示例:JSON在线格式化工具 >
{
"result": {
"total": 1,
"items": [
{
"agent": "",
"title": "语音测试系统、方法及装置",
"patentNum": "CN202211037946.6",
"uuid": "212aaa7be39a016ab3dc75385d3df1c1",
"companies": [
{
"cgid": 22822,
"cname": "北京百度网讯科技有限公司"
}
],
"pubnumber": "CN115474146A",
"applicationTime": "2022-08-26",
"cat": "电通信技术;",
"patentStatus": "授权",
"applicantname": "[\"北京百度网讯科技有限公司\"]",
"inventor": "郑永萍;郑立娟;车婷婷",
"id": "86294180",
"lawStatus": [
{
"date": "2024-08-13",
"detail": "授权",
"status": "授权"
},
{
"date": "2022-12-30",
"detail": "实质审查的生效;IPC(主分类):H04R29/00;申请日:20220826",
"status": "实质审查的生效"
},
{
"date": "2022-12-13",
"detail": "公布",
"status": "公布"
}
],
"address": "北京市海淀区上地十街10号百度大厦2层",
"agency": "北京易光知识产权代理有限公司",
"abstracts": "本公开提供了一种语音测试系统、方法及装置,涉及语音技术领域。具体实现方案为:语音测试模组将待测音频发送给第一芯片以执行待测设备的语音交互功能,并记录待测音频的累积发送帧数;响应于语音交互功能产生的预设事件,读取累积发送帧数以确定触发时间点并发送给计算设备;计算设备基于触发时间点确定预设事件的响应延时。本公开中语音测试模组能够自动将待测音频灌入第一芯片,并基于预设事件的触发时间点,自动确定预设事件的响应延时。从灌入音频到测试结果的全流程自动化,由此提高了测试效率。语音测试模组仅需安装拆卸待测设备的芯片并集成相应语音交互功能即可完成自动化测试,该方案具有可扩展性。",
"grantDate": "2024-08-13",
"applicantName": "北京百度网讯科技有限公司",
"pubDate": "2024-08-13",
"applicationPublishTime": "2022-12-13",
"appnumber": "CN202211037946.6",
"patentType": "发明专利",
"imgUrl": "[\"https://static1.tianyancha.com/patent/abstractPic/CN/B/115/474/CN115474146B_HDA0003818246920000012.png\"]",
"mainCatNum": "H04R29/00",
"createTime": "1723504161000",
"postCode": "100085",
"patentName": "语音测试系统、方法及装置",
"grantNumber": "CN115474146B",
"applicationPublishNum": "CN115474146A",
"allCatNum": "G10L25/60;H04R29/00;G10L25/51;G10L15/01;G10L15/22;G06F16/68",
"priorityInfo": [
{
"priorityNumber": "",
"priorityDate": ""
}
]
}
]
},
"reason": "ok",
"error_code": 0
}
服务级错误码参照(error_code):
| 错误码 | 说明 | |
|---|---|---|
| 263500 | 网络超时,请稍后再试 | |
| 263501 | 参数缺失 | |
| 263502 | 参数不合法 | |
| 263503 | 请求失败 | |
| 263504 | 查询无结果 | |
| 263505 | 未知错误 |
系统级错误码参照:
| 错误码 | 说明 | 旧版本(resultcode) | |
|---|---|---|---|
| 10001 | 错误的请求KEY | 101 | |
| 10002 | 该KEY无请求权限 | 102 | |
| 10003 | KEY过期 | 103 | |
| 10004 | 错误的OPENID | 104 | |
| 10005 | 应用未审核超时,请提交认证 | 105 | |
| 10007 | 未知的请求源 | 107 | |
| 10008 | 被禁止的IP | 108 | |
| 10009 | 被禁止的KEY | 109 | |
| 10011 | 当前IP请求超过限制 | 111 | |
| 10012 | 请求超过次数限制 | 112 | |
| 10013 | 测试KEY超过请求限制 | 113 | |
| 10014 | 系统内部异常(调用充值类业务时,请务必联系客服或通过订单查询接口检测订单,避免造成损失) | 114 | |
| 10020 | 接口维护 | 120 | |
| 10021 | 接口停用 | 121 |
错误码格式说明(示例:200201):
| 2 | 002 | 01 | |
|---|---|---|---|
| 服务级错误(1为系统级错误) | 服务模块代码(即数据ID) | 具体错误代码 |
接口文档下载
苏公网安备 32059002001776号